# YOU SHOULD NOT EDIT THESE LINES.. but you're confident.
# (it updates the configuration with a chosen preset)
# for v0.4

# default values for sets compatibility
SCAT=[D(0.2),no]					# scattering

# main tab
SSCL=[D(abs(mainScale)),no] 			# slider Scale
TUSD=[D(replay),no]						# toggle Replay
SSED=[D(seed),no] 						# slider Seed
TMBG=[D(makeBuildings),16]				# toggle make buildings
TMGD=[D(makeGround),17]					# toggle make ground (main)

# building tab
TRGP=[D(GroundInfluence),no]			# toggle Read Ground Props
SFFH=[D(FirstFloorHeight),23,"","","slider",1,5]		# slider first Floor Height
SFH=[D(minFloorHeight),21]				# slider Floor Height min
SFHM=[D(maxFloorHeight),22]				# slider Floor Height max
nhf=[D(minBuildingFloor),11,"Min  ","","slider",1,500]				# slider minimum floors
nhdf=[D(maxBuildingFloor),12]			# slider maximum floors
SBHV=[D(varBuildingFloor),no]			# slider Nb of Floors Variation
THWR=[D(EnableratioBuildingSize),no,"","","toggle"]			# toggle enable height/width ratio
SHWR=[D(ratioBuildingSize),no]			# slider height/width ratio
SBSMi=[D(minBuildingSize),13]			# slider minimum building size
SBSMx=[D(maxBuildingSize),14,"","","slider",3.0,100.0]			# slider maximum building size
SISMi=[D(minInterval),26,"","","slider",0.0,100.0]				# slider min space between buildings
SISMx=[D(maxInterval),27,"","","slider",0.0,100.0]				# slider max space between buildings
TBGS=[D(buildingAlignToRoad),no]		# toggle align buildings to road
TBGG=[D(buildingAlignToGrid),no]		# toggle align buildings to grid
SMDB=[D(levelOfDetails),no]				# LOD of buildings
SCAT=[D(scattering),no]					# scattering

# ground tab
TRPP=[D(BuildingInfluence),no]			# toggle Read Pop Props
TMTS=[D(groundTiled),no]				# toggle make ground as tiles
TMSW=[D(MakeSidewalks),no]				# toggle make sidewalks
SWH=[D(sidewalksHeigt),no]				# sidewalks height
SWMi=[D(sidewalksMinWidth),28]			# sidewalks min width
SWMx=[D(sidewalksMaxWidth),29]			# sidewalks max width
TSWS=[D(sidewalksAlignToStreets),no]	# toggle always align sidewalks to streets
SWSH=[D(sidewalksSmoothCorners),no,"Q ","","slider",0,10]		# sidewalks Smooth Corners 
SWSV=[D(sidewalksSmoothBorders),no,"Q ","","slider",0,10]		# sidewalks Smooth Borders
SWB=[D(sidewalksCornersLenght),no,"","","slider",0.1,3.0]		# sidewalks Borders Width

# map tab
MBSC=[D(buildingSourceType),no,buildingHeightsSource_list]
MPMM=[D(buildingMatMapName),no,mapMatList]
TLIMB=[D(buildingMapName),43]			# Building image path+name
MPRM=[D(buildingUvMapName),no,imageUVlist]
SBD=[D(buildingScale),no]				# slider building scale, Meter/pixel
STRT=[D(buildingMapThreshold),no]		# slider streets regognition threshold - min color
SPMX=[D(buildingMapSizeX),no] 			# number building map size X
SPMY=[D(buildingMapSizeY),no]			# and Y (buildingmap formerly popmap)
TRPM=[D(buildingMapOffset),no]			# toggle randomize population map
TRPS=[D(buildingMapOffsetSeed),no]		# toggle use seed for blkMap offset random

MGSC=[D(groundSourceType),no,groundSource_list]
MGMM=[D(groundMatMapName),no,mapMatList]	# Terrain material name source 
TLIM=[D(groundMapName),41]					# Terrain image path+name
MGRM=[D(groundUvMapName),no,imageUVlist]	#Terrain imageUV
SGDS=[D(groundScale),no]				# slider ground scale, Meter/pixel
SGDX=[D(groundMapSizeX),no]
SGDY=[D(groundMapSizeY),no]
TRGM=[D(groundMapOffset),no]
TRGS=[D(groundMapOffsetSeed),no]

# debug
SDGL=[D(debug),35]						# debug level
TDGO=[D(debugToFile),36]				# write a file in temp (wip)

# WIP

# is done inside include & config

# groundSourceType
#SRBL=[D(0.0),no] 			# slider random building location (deprecated ?)
#SBBV=[D(0.5),no] 			# slider building blending probability
#SBBVnb=[D(2),no] 			# slider blending number of building
#SNBP=[D(1),no]				# slider number buildings per pixel (deprecated)
#SWMM=[D(100),no]			# sidewalks creation method
#SWSR=[D(100),no]			# sidewalks method variation : width x width_var or aligned to grid
